Introduction
TrueSpeech real-time player version 1.20 Contents

The help file contains a complete list of all Help topics available for the TrueSpeech real-time player application.  You can use the scroll bar to see the entries that are not currently visible in the Help Window.

For information on how to use Help, press F1 or choose Using Help from the Help menu.

Overview

How to play TrueSpeech 8.5 sound file in real-time

License Agreement

Configuration

Troubleshooting

This product is given to you free of charge. However, please read the License Agreement carefully before using it.

We do ask you to send us an EMAIL to let us know that you have tried this software, your comments and suggestions that you may have for upcoming updated versions.  We will keep you posted for any new releases coming up.

Please send EMAIL to:  TSPlayer@dspg.com

If you are interested in licensing TrueSpeech 8.5 speech compression software package (encoder/decoder), please send your EMAIL to: TSint@dspg.com


Overview

TrueSpeech is a family of speech compression and decompression algorithms developed by DSP Group, Inc. of Santa Clara, California.  This advanced speech compression technology features low computational complexity, low memory requirements, high compression ratios, good voice quality and compatibility with a variety of microprocessors and applications.

TrueSpeech 8.5 is the 8.5 k bits per second (kbps) member of this family of software products.  With a commitment from Microsoft to integrate TrueSpeech 8.5 into future versions of Windows, DSP Group is establishing TrueSpeech as the cross platform defacto industry standard for speech compression.

TrueSpeech enables the efficient compression, storage, communications, and playback of digital speech reducing costs and enabling exciting new applications which are expected to significantly improve human communications.  Voice information can now be accessed and efficiently processed like other data types including text, graphics, and video.  Similar to MPEG for video and JPEG for graphics, TrueSpeech is a compression technology, but is used for speech information.  One minute of speech can be stored digitally in 64k bytes of memory after compressed by TrueSpeech 8.5.

TSPlayer is such an application that lets you play any TrueSpeech 8.5 sound file (.WAV files) while you are downloading it using one of the World Wide Web (WWW) internet client software.

The sound playing starts instantly right at the moment you start the download.

Using TSPlayer lets you hear the sound without having to wait for the entire sound file transfer to be completed.

TSPlayer also works with most of the World Wide Web client software and it is very easy to configure and work with.

It comes pre-configured for NetScape WWW Client and the DspWave sound file viewer.

In this package there is also the TSCONV product which lets you convert Windows sound files to the TrueSpeech 8.5 format.


How to play TrueSpeech sound file in real-time
How to play TrueSpeech 8.5 sound file in real-time

Simply activate TSPlayer and then start downloading any TrueSpeech 8.5 file using a WWW client, TSPlayer will detect that a TrueSpeech 8.5 sound file is being loaded and it will activate the sound viewer to start playing the file.

You can find many WWW servers on the internet that have TrueSpeech 8.5 .WAV sound files, one of those places is the home page of DSP Group, Inc. at: http://dspg.com.


License Agreement

DSP Group, Inc.

On-line License Agreement

THIS IS A LEGAL AGREEMENT TO WHICH YOU ARE CONSENTING TO BE BOUND. IF YOU DO NOT AGREE TO ALL OF THE TERMS IN THIS LICENSE, DO NOT USE THE SOFTWARE.

 1.  DSP Group, Inc.  ("DSPG") grants to you a non-exclusive, non-sub licensable, license to use the current version of the TrueSpeech 8.5 real-time sound files player (the "Software"), in binary executable form for evaluation and trial use purposes only.

By downloading the software and using it, you are signifying your agreement to the terms of this license.

2.  DSPG MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE OR ABOUT ANY CONTENT OR INFORMATION MADE ACCESSIBLE BY THE SOFTWARE, FOR ANY PURPOSE.  THE SOFTWARE IS PROVIDED 'AS IS' WITHOUT EXPRESS OR IMPLIED WARRANTIES, INCLUDING WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE OR NON INFRINGEMENT. THIS SOFTWARE IS PROVIDED GRATUITOUSLY AND, ACCORDINGLY, DSPG SHALL NOT BE LIABLE UNDER CONTRACTOR, OR ANY OTHER THEORY FOR ANY DAMAGES SUFFERED BY YOU OR ANY USER OF THE SOFTWARE.  DSPG WILL NOT SUPPORT THIS SOFTWARE AND WILL NOT ISSUE UPDATES OR CORRECTIONS TO THIS SOFTWARE.

3.  All content accessed through the Software is the property of the applicable content owner and may be protected by applicable copyright law.

This License gives you no rights to such content.

4. While DSPG intends to distribute a commercial release of the Software, DSPG reserves the right at any time not to release a commercial release of the Software or, if the Software is released, to alter prices, features, specifications, capabilities, functions, licensing terms, release dates, general availability or other characteristics of the commercially released software.

5.  Title, ownership rights, and intellectual property rights in and to the Software shall remain in DSPG and/or its suppliers.  You agree to abide by the copyright law and all other applicable laws of the United States including, but not limited to, export control laws.  You acknowledge that the Software in source code form remains a confidential trade secret of DSPG and/or its suppliers and therefore you agree not to modify the Software or attempt to decipher, decompile, disassemble or reverse engineer the Software, except to the extent applicable laws specifically prohibit such restriction.

6.  DSPG may terminate this License at any time by delivering notice to you and you may terminate this License at any time by destroying or erasing your copy of the Software. Upon termination of this License, or in any event within thirty (30) days following DSPG's release of a commercial version of the Software, you agree to destroy or erase the Software.  In the event of termination, the following sections of this License will survive: 2, 3, 4, 5, 6 and 7.  This License is personal to you and you agree not to assign your rights herein.  This License shall be governed by and construed in accordance with the laws of the State of California and, as to matters affecting copyrights, trademarks and patents, by U.S. federal law. This License sets forth the entire agreement between you and DSPG.

7.  Use, duplication or disclosure by the Government is subject to restrictions set forth in subparagraphs (a) through (d) of the Commercial Computer-Restricted Rights clause at FAR 52.227-19 when applicable, or in subparagraph (c) (1) (ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013.

8.  This Software is for your personal use only without any distribution rights.  This license terminates automatically at the expiration date shown in the warning message when the program is activated.

DSP Group, Inc., TrueSpeech real-time sound files player, TrueSpeech are trademarks of DSP Group, Inc.

Copyright (c) 1995, DSP Group, Inc. , All rights reserved.


Configuration+ Ovr:030K Configuration
Configuration

Configuring TSPlayer involves two steps, configuring the World Wide Web (WWW) client and configuring the TSPlayer application.

Configuring the World Wide Web Client software:

Declare the program POSTPLAY.EXE that is in the TSPlayer product directory as the .WAV file viewer.

Configuring the TSPlayer application:

Click on the Configure menu button to open the configuration dialog.  Fill in the configuration information and press the <OK> button to save the configuration.

Description for the configuration dialog entry fields:

TrueSpeech Viewer:	 Name of viewer to start when we know a new sound file is written to the disk.

default = c:\TSPlayer\DspWave.exe

.WAV file viewer:	 Name of viewer to start when we know a new sound file which is not a TrueSpeech 8.5 file is written to the disk.

default = c:\TSPlayer\DspWave.exe

WWW Client:	 Name of WWW client program to run when activating the TSPlayer. If empty, do not run any web client.

default = c:\netscape\netscape.exe

Minimum bytes to accumulate:	 Minimum bytes of new sound data to accumulate before giving them to the sound viewer.

default = 8192

Maximum silence frames:	 Maximum number of sequential silence frames to give the sound viewer before popping up a warning message about network communication problems.

default = 1540

Download cache directory:	 Directory where cached downloaded files are kept. Those files will be deleted each time TSPlayer is activated. It should have the same value as the TEMP environment variable settings.

default = nothing, thus no file will be deleted.

Close WWW Client on exit:	 Are we going to close the web client when we exit the TSPlayer application?

default = yes (checked).

Close TrueSpeech viewer on exit:	 Are we going to close the viewer when we exit the TSPlayer application?

default = yes (checked).

Display no data warning:	 Are we going to display no new incoming data warning message?

default = no (unchecked).

Check for TrueSpeech signature:	 Are we going to actually check that the file is a TrueSpeech 8.5 file?

default = yes (checked)


troubleshooting+ Ovr:040K troubleshooting
Troubleshooting

If you experience difficulties using the TSPlayer application, please check the following items:

*	Verify that the installation and setup verification steps have been successfully completed.

*	Ensure that the line device=C:\TSPlayer\TSPlayer.386 exist in your system.ini file under the [386Enh] section.

*	Read all relevant help information.

*	Create a directory c:\tmp and Enter the following two lines at the end of your autoexec.bat file:

 SET TEMP=C:\tmp

 SET TMP=C:\tmp

*	If you are working in Windows For Workgroups, you have to turn off the "32-bit file access option.", There are two different ways to do so:

1.	Go to the Windows For Workgroups control panel, click on the 386 enhanced icon, then on the <virtual memory> button, then on the <change> button and then uncheck the "use 32-bit file access" option and then click on the <OK> button.

   OR

2.	Instead of typing WIN, start Windows by typing the command:   WIN /D:C.

If you still have problems or need additional help, please send EMAIL to: TSPlayer@dspg.com.